import dynamix_sdk.base as _base


class CloudapiComputeCdInsertResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeCdInsertProtocol(_base.BasePostAPIFunctionProtocol):
    def cd_insert(
        self,
        *,
        vm_id: int,
        cdrom_image_id: int,
    ) -> CloudapiComputeCdInsertResultBool:
        ...
